ChangeSet 1.1375, 2003/07/03 17:43:34-07:00, greg@kroah.com

[PATCH] kobject: add kobject_rename()
Based on a patch written by Dan Aloni <da-x@gmx.net>


 include/linux/kobject.h |    2 ++
 lib/kobject.c           |   15 +++++++++++++++
 2 files changed, 17 insertions(+)


diff -Nru a/include/linux/kobject.h b/include/linux/kobject.h
--- a/include/linux/kobject.h	Thu Jul  3 18:15:44 2003
+++ b/include/linux/kobject.h	Thu Jul  3 18:15:44 2003
@@ -39,6 +39,8 @@
 extern int kobject_add(struct kobject *);
 extern void kobject_del(struct kobject *);
 
+extern void kobject_rename(struct kobject *, char *new_name);
+
 extern int kobject_register(struct kobject *);
 extern void kobject_unregister(struct kobject *);
 
diff -Nru a/lib/kobject.c b/lib/kobject.c
--- a/lib/kobject.c	Thu Jul  3 18:15:44 2003
+++ b/lib/kobject.c	Thu Jul  3 18:15:44 2003
@@ -314,6 +314,21 @@
 }
 
 /**
+ *	kobject_rename - change the name of an object
+ *	@kobj:	object in question.
+ *	@new_name: object's new name
+ */
+
+void kobject_rename(struct kobject * kobj, char *new_name)
+{
+	kobj = kobject_get(kobj);
+	if (!kobj)
+		return;
+	sysfs_rename_dir(kobj, new_name);
+	kobject_put(kobj);
+}
+
+/**
  *	kobject_del - unlink kobject from hierarchy.
  * 	@kobj:	object.
  */
